Package org.apache.sysds.runtime.instructions.cp

# Class Encrypted

java.lang.Object
org.apache.sysds.runtime.instructions.cp.Data
org.apache.sysds.runtime.instructions.cp.Encrypted

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CiphertextMatrix`, `PlaintextMatrix`

public abstract class Encrypted extends Data
This class abstracts over an encrypted data. It stores the data as opaque byte array. The layout is unspecified.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Encrypted(int[] dims, DataCharacteristics dc, byte[] data, Types.DataType dt)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getData()`
`DataCharacteristics`
`getDataCharacteristics()`
`int[]`
`getDims()`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

`getDataType, getDebugName, getMetaData, getValueType, removeMetaData, setMetaData, toString, updateDataCharacteristics`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Encrypted

public Encrypted(int[] dims, DataCharacteristics dc, byte[] data, Types.DataType dt)

## Method Details

### getDims

public int[] getDims()

### getDataCharacteristics

public DataCharacteristics getDataCharacteristics()

### getData

public byte[] getData()